import Popper from "popper.js";
export interface PositionerOptions {
    placement?: Popper.Placement;
    positionFixed?: boolean;
    eventsEnabled?: boolean;
    modifiers?: Popper.Modifiers;
}
/**
 * Position an element relative to another
 */
export declare function usePositioner({ placement: defaultPlacement, positionFixed, eventsEnabled, modifiers }?: PositionerOptions): {
    target: {
        ref: (node: any) => void;
        node: any;
    };
    popover: {
        node: any;
        style: any;
        ref: (node: any) => void;
        placement: "auto" | "bottom" | "left" | "right" | "top" | "auto-start" | "auto-end" | "top-start" | "top-end" | "right-start" | "right-end" | "bottom-end" | "bottom-start" | "left-end" | "left-start" | null;
    };
    arrow: {
        node: any;
        style: {};
        ref: (node: any) => void;
    };
};
